# $Revision: 1.25 $, $Date: 2006/02/16 18:00:08 $
#
# Conditional build:
%bcond_with	tests	# perform "make test". starts test httpd service
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Scoreboard
Summary:	Apache::Scoreboard - Perl interface to the Apache scoreboard structure
Summary(pl):	Apache::Scoreboard - perlowy interfejs do struktury scoreboard Apache'a
Name:		perl-Apache-Scoreboard
Version:	2.08
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f66b6e222cfc4b41c9b327af2478b44b
BuildRequires:	apache-mod_perl-devel
BuildRequires:	apr-devel >= 1:1.0
BuildRequires:	apr-util-devel >= 1:1.0
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Chart-PNGgraph
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Apache keeps track of server activity in a structure known as the
scoreboard. There is a slot in the scoreboard for each child server,
containing information such as status, access count, bytes served and
cpu time. This same information is used by mod_status to provide
current server statistics in a human readable form.

%description -l pl
Apache ledzi aktywno serwera w strukturze znanej jako scoreboard. W
scoreboard znajduje si slot dla kadego serwera potomnego,
zawierajcy informacje takie jak stan, liczba klientw, wysanych
bajtw i zajty czas procesora. Te same informacje s uywane przez
mod_status do udostpniania aktualnych statystyk w postaci czytelnej
dla czowieka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
INC="-I/usr/include/apache $(apr-1-config --includes) $(apu-1-config --includes)"
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INC="$INC"
cd Dummy
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INC="$INC"
cd ..
%{__make} \
	OPTIMIZE="%{rpmcflags}"
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Apache/Scoreboard/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Apache/*.pm
%dir %{perl_vendorarch}/auto/Apache/Scoreboard
%attr(755,root,root) %{perl_vendorarch}/auto/Apache/Scoreboard/*.so
%{perl_vendorarch}/auto/Apache/Scoreboard/*.bs
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Apache-Scoreboard.spec,v $
Revision 1.25  2006/02/16 18:00:08  glen
- without tests, rel 2

Revision 1.24  2006/02/15 21:44:46  glen
- updated to 2.08, builds with current mod_perl

Revision 1.23  2005/01/09 14:09:59  adamg
- updated to 2.03

Revision 1.22  2004/12/01 23:17:42  qboosh
- now it needs apr 1

Revision 1.21  2004/12/01 12:34:19  radek
- release 2: BR: apache-mod_perl

Revision 1.20  2004/12/01 12:21:44  radek
- version 2.02

Revision 1.19  2004/11/03 19:36:55  paladine
- formatting

Revision 1.18  2004/06/05 18:10:29  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.16  2004/04/17 05:46:23  ankry
- license fixes

Revision 1.15  2004/04/11 10:53:56  migo
- up to 2.01 (apache2)

Revision 1.14  2003/09/09 10:24:26  ankry
- spaces -> tab

Revision 1.13  2003/05/28 13:00:20  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.10  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.9  2003/02/27 20:44:40  ankry
fixed BR

Revision 1.8  2003/02/25 00:35:48  radek
- use the __perl macro

Revision 1.7  2003/02/18 15:25:53  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/10/23 09:28:28  qboosh
- BR: apache-mod_perl (needed), perl-Chart-PNGgraph (for autoreqdeps)

Revision 1.5  2002/10/12 13:44:46  radek
- removed _noautoreq; Chart::PNGgraph _is_ needed
- release 5

Revision 1.4  2002/09/14 16:22:51  ankry
- fix attributes for %%doc files, release 4

Revision 1.3  2002/09/09 20:29:09  qboosh
- pl description, release 3

Revision 1.2  2002/09/04 11:18:39  radek
- it's not noarch; release++

Revision 1.1  2002/09/04 08:44:19  radek
- new, STBR
